<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="to_user-from-domain-by-period">

 <lire:title>Different To Email for Selected Domains by Period
  Email Report</lire:title>
 <lire:description>
  <para>This report shows the number of different local parts from
   some domains that received at least an email through the mail system
   in a given period.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period which will be used
     to compute different user. For example, if you use
     <literal>1d</literal> here, you'll get the number of different
     email addresses' from the selected domains that received an email
     through your server in one day.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="select_domain" type="string" default=".*">
   <lire:description>
    <para>This parameter contains a regexp that will be used to select
     the domains for which different to addresses will be computed.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Different To Users for Domain matching "$select_domain" by $period
   Period</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$to_domain" re="$select_domain"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:count name="unique_user" fields="to_user" label="Users"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
